let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/zqh3l3lyw32q1ayb15bnvg9f24j5v2p0-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/cb3slv3szhp46xkrczqw7mscy5mnk64l-coreutils-8.29/bin";
  bzip2 = "/nix/store/qqv6r9vkpb44rw5d8wyfpx64rgqzlvdm-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/d7895h1an2pgcd6a3vx3yb5fbg786lci-gzip-1.9/bin/gzip";
  xz = "/nix/store/aakgkcvw6j54zg38zrn1w00sgxx0zj8b-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/2p00w952ljb1172nsf3jm7nsjgsw5qpw-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/cb3slv3szhp46xkrczqw7mscy5mnk64l-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/2gk7rk2sx2dkmsjr59gignrfdmya8f6s-nix-2.0.1/bin";
  nixPrefix = "/nix/store/2gk7rk2sx2dkmsjr59gignrfdmya8f6s-nix-2.0.1";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/2gk7rk2sx2dkmsjr59gignrfdmya8f6s-nix-2.0.1/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
